local scene = require "scene"

local Button = require "components.button"


return function(self)
  local w = love.graphics.getWidth()
  local h = love.graphics.getHeight()
  self:setSize(w, h)
  
  love.graphics.setNewFont(36)
  
  local b = {}
  b[0] = Button("Back")
  b[0]:setPosition(0.5 * w - b[0]:getWidth() / 2, 0.7 * h)
  self:addComponent(b[0])
  
  b[1] = Button("Setting")
  b[1]:setPosition(0.5 * w - b[1]:getWidth() / 2, 0.45 * h)
  self:addComponent(b[1])
  
  self:addHandler("BUTTON_RELEASED", function(self, o)
    local n = o:getName()
    if n == b[1]:getText() then
      scene.open("Setting")
      scene.close("Game")
    elseif n == b[0]:getText() then
      scene.open("StartPage")
      scene.close("Game")
    end
  end)
end